# bootSect Struct Reference

Bootsector structure. More...

`#include <ubixfs.h>`

## Data Fields

uInt8 | jmp [4]
uInt8 | id [6]
uInt16 | version
uInt16 | tmp
uInt16 | fsStart
uInt16 | tmp2
uInt32 | krnl_start
uInt | BytesPerSector
uInt | SectersPerTrack
uInt | TotalHeads
uInt32 | TotalSectors
uInt8 | code [479]

## Detailed Description

Bootsector structure.

## Field Documentation

uInt bootSect::BytesPerSector

uInt8 bootSect::code[479]

| Rest of code

uInt16 bootSect::fsStart

| Start of filesystem

uInt8 bootSect::id[6]

uInt8 bootSect::jmp[4]

| Jump code

uInt32 bootSect::krnl_start

| Start of kernel

uInt bootSect::SectersPerTrack

uInt16 bootSect::tmp

uInt16 bootSect::tmp2

uInt bootSect::TotalHeads

uInt32 bootSect::TotalSectors

uInt16 bootSect::version

| Version of UbixFS

The documentation for this struct was generated from the following file:

- ubixfs.h